#
libsff

Home | Modules | Examples

# CCMIOID Struct Reference

`#include <ccmiotypes.h>`

## Data Fields

CCMIONode | root
CCMIONode | node
int | id
CCMIOEntity | type
int | version

## Detailed Description

Examples:

  readexample.cpp, and writeexample.cpp.

Definition at line 119 of file ccmiotypes.h.

## Field Documentation

int id

| Definition at line 122 of file ccmiotypes.h.

CCMIONode node

| Definition at line 121 of file ccmiotypes.h.

CCMIONode root

| Definition at line 120 of file ccmiotypes.h.

CCMIOEntity type

| Definition at line 123 of file ccmiotypes.h.

int version

| Definition at line 124 of file ccmiotypes.h.

The documentation for this struct was generated from the following file:

- /home/pinky2/mattijs/OpenFOAM/OpenFOAM-1.0/applications/utilities/mesh/conversion/ccm24ToFoam/libccmio/libccmio/ccmiotypes.h